import { ContextService } from '@antv/g';
export declare class SVGContextService implements ContextService<SVGElement> {
    private $container;
    private $namespace;
    private dpr;
    private canvasConfig;
    init(): void;
    getDomElement(): SVGElement;
    getContext(): SVGElement;
    getDPR(): number;
    getBoundingClientRect(): DOMRect;
    destroy(): void;
    resize(width: number, height: number): void;
    applyCursorStyle(cursor: string): void;
}
